#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'auditor.list'}
#{/set}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}" >&{'auditor.home'}</a></li>
    <li class="active">&{'auditor.list'}</li>
</ol>

#{menuDaftarAuditor /}
<div class="content">
#{alert /}
    <table class="table table-sm" id="tblAuditor">
        <thead>
        <tr>
            <th width="10px" class="text-center"><input type="checkbox" class="checkall"/></th>
            <th>&{'auditor.nama'}</th>
            <th>&{'auditor.nip'}</th>
            <th>&{'auditor.userid'}</th>
            <th width="300px">&{'auditor.surat'}</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
    #{form @AuditorCtr.hapus(), method:'POST'}
    #{addButton action:@AuditorCtr.edit() /}
    #{newDeleteButton /}
#{/form}
</div>
#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<link href="https://cdn.datatables.net/select/1.3.1/css/select.dataTables.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/select/1.3.1/js/dataTables.select.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/dataTables.checkboxes.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/delete-confirm.js'/}"></script>
<script type="text/javascript"> 
	var auditorView = #{jsRoute @AuditorCtr.edit(':id') /};
	var auditorSkView = #{jsRoute @AuditorCtr.auditorSkView(':id') /};
	
    var table = $("#tblAuditor").DataTable({
    	 columnDefs: [{
                targets: 0, searchable : false,
                render: function(data, type, row, meta){
                    if(type === 'display'){
                        data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>';
                    }
                    var id = row[0];
                    var nama = row[1];
                    row[1] = "<a href='"+auditorView.url({id:id})+"'>"+nama+"</a>";
                    row[4] = "<a href='"+auditorSkView.url({id:id})+"'>Klik di sini untuk melihat detail Surat tugas</a>";
                    return data;
                },
                checkboxes: { selectRow: true,  selectAllRender: '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'}
            }, {targets : 4, sortable : false}] ,
        select: 'multi',
        ajax: "@{DataTableCtr.auditor()}"
    });
    $('#tblAuditor_filter input').unbind();
    $('#tblAuditor_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
     $('form').on('submit', function(e){
         var $form = $(this);
         var selected = table.rows( { selected: true } ).data();
         selected.each(function(res){
             if(!(res[0] === null || res[0] === '')) {
                 $form.append($('<input>').attr('type', 'hidden').attr('name', 'chkAuditor').val(res[0]));
             }
         });
     });
</script>
#{/set}
